Bug 175025 - benchmarks/libmicro: Update to version 0.4.1
Summary: benchmarks/libmicro: Update to version 0.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-05 18:10 UTC by tkato432
Modified: 2013-02-08 02:00 UTC (History)
0 users

See Also:


Attachments
file.diff (17.25 KB, patch)
2013-01-05 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-01-05 18:10:06 UTC
- Update to version 0.4.1

New file
files/patch-multiview.sh

Remove file:
files/patch-bench
files/patch-multiview
Comment 1 Marcelo Araujo freebsd_committer 2013-01-18 06:11:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2013-02-08 01:53:47 UTC
State Changed
From-To: open->closed
Comment 3 Martin Wilke freebsd_committer 2013-02-08 01:53:47 UTC
Responsible Changed
From-To: araujo->miwi

committed thx.
Comment 4 dfilter service freebsd_committer 2013-02-08 01:53:47 UTC
Author: miwi
Date: Fri Feb  8 01:53:38 2013
New Revision: 311895
URL: http://svnweb.freebsd.org/changeset/ports/311895

Log:
  - Update to 0.4.1
  
  PR:		175025
  Submitted by:	Ports Fury

Added:
  head/benchmarks/libmicro/files/patch-multiview.sh   (contents, props changed)
Deleted:
  head/benchmarks/libmicro/files/patch-bench
  head/benchmarks/libmicro/files/patch-multiview
Modified:
  head/benchmarks/libmicro/Makefile   (contents, props changed)
  head/benchmarks/libmicro/distinfo   (contents, props changed)
  head/benchmarks/libmicro/pkg-descr   (contents, props changed)
  head/benchmarks/libmicro/pkg-plist   (contents, props changed)

Modified: head/benchmarks/libmicro/Makefile
==============================================================================
--- head/benchmarks/libmicro/Makefile	Fri Feb  8 01:30:28 2013	(r311894)
+++ head/benchmarks/libmicro/Makefile	Fri Feb  8 01:53:38 2013	(r311895)
@@ -1,40 +1,48 @@
-# New ports collection makefile for:	libmicro
-# Date created:		2005-08-06
-# Whom:			Vsevolod Stakhov <vsevolod@FreeBSD.org>
-#
+# Created by: Vsevolod Stakhov <vsevolod@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	libmicro
-PORTVERSION=	0.4.0
+PORTVERSION=	0.4.1
 CATEGORIES=	benchmarks
 MASTER_SITES=	http://hub.opensolaris.org/bin/download/Project+libmicro/Source+Archives/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Set of utilities to benchmark productivity of system calls
 
+LICENSE=	CDDL
+
+WRKSRC=		${WRKDIR}/libMicro-${PORTVERSION}
+
 USE_GMAKE=	yes
+MAKE_ENV=	PTHREAD_LIBS="${PTHREAD_LIBS}"
+
 CFLAGS+=	${PTHREAD_CFLAGS}
-MAKE_ENV=	PTHREAD_LIBS=${PTHREAD_LIBS}
 
-WRKSRC=		${WRKDIR}/libMicro-${PORTVERSION}
-PLIST_SUB=	ARCH=${ARCH}
-# Do not strip binaries
-STRIP=
+STRIP=		 # Do not strip binaries
+
+PLIST_SUB=	ARCH="${ARCH}"
+
+PKGLIBDIR=	${PREFIX}/lib/${PORTNAME}
+
+post-build:
+	@${ECHO_CMD} '#!/bin/sh' > ${WRKDIR}/libmicro-bench
+	@${ECHO_CMD} '(cd ${PKGLIBDIR} && ./bench $$1)' >> ${WRKDIR}/libmicro-bench.sh
 
 do-install:
-	${MKDIR} ${DATADIR}
-	${MKDIR} ${DATADIR}/bin
-	${MKDIR} ${DATADIR}/bin-${ARCH}
-	( cd ${WRKSRC}/bin ; for i in * ; do \
-	${INSTALL_PROGRAM} ${WRKSRC}/bin-${ARCH}/$$i ${DATADIR}/bin-${ARCH} ; done )
-	${INSTALL_PROGRAM} ${WRKSRC}/bin-${ARCH}/exec_bin ${DATADIR}/bin-${ARCH}
-	@for i in ${DATADIR}/bin-${ARCH}/* ; do \
-	${LN} -s $$i ${DATADIR}/bin ; done
-	${INSTALL_SCRIPT} ${WRKSRC}/bench ${DATADIR}
-	@${ECHO} '#!/bin/sh' > ${WRKDIR}/libmicro-bench
-	@${ECHO} '(cd ${DATADIR} && ./bench $$1)' >> ${WRKDIR}/libmicro-bench
-	${INSTALL_SCRIPT} ${WRKDIR}/libmicro-bench ${PREFIX}/bin/libmicro-bench
-	${INSTALL_SCRIPT} ${WRKSRC}/multiview ${PREFIX}/bin/multiview
+	(cd ${WRKDIR} && ${INSTALL_SCRIPT} libmicro-bench.sh \
+		${PREFIX}/bin/libmicro-bench)
+	(cd ${WRKSRC} && ${INSTALL_SCRIPT} multiview.sh \
+		${PREFIX}/bin/multiview)
+	@${MKDIR} ${PKGLIBDIR}
+	(cd ${WRKSRC} && ${INSTALL_SCRIPT} bench.sh \
+		${PKGLIBDIR}/bench)
+	@${MKDIR} ${PKGLIBDIR}/bin-${ARCH}
+	(cd ${WRKSRC}/bin-${ARCH} \
+		&& ${INSTALL_PROGRAM} exec_bin ${PKGLIBDIR}/bin-${ARCH})
+	(cd ${WRKSRC}/bin ; for i in * ; do ${INSTALL_PROGRAM} \
+		${WRKSRC}/bin-${ARCH}/$$i ${PKGLIBDIR}/bin-${ARCH} ; done)
+	@${MKDIR} ${PKGLIBDIR}/bin
+	(cd ${PKGLIBDIR}/bin-${ARCH} ; for i in * ; do ${LN} -s \
+		../bin-${ARCH}/$$i ../bin ; done)
 
 .include <bsd.port.mk>

Modified: head/benchmarks/libmicro/distinfo
==============================================================================
--- head/benchmarks/libmicro/distinfo	Fri Feb  8 01:30:28 2013	(r311894)
+++ head/benchmarks/libmicro/distinfo	Fri Feb  8 01:53:38 2013	(r311895)
@@ -1,2 +1,2 @@
-SHA256 (libmicro-0.4.0.tar.gz) = a005694c125d36ee9b089c1c4fb6d102a5f26e28f0282e5855d5661276bf7b7c
-SIZE (libmicro-0.4.0.tar.gz) = 48858
+SHA256 (libmicro-0.4.1.tar.gz) = 60392d567ba48b0eafced6b07545c0e305306a1ec02ec64f7a754fa4f3cb3b10
+SIZE (libmicro-0.4.1.tar.gz) = 56785

Added: head/benchmarks/libmicro/files/patch-multiview.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/benchmarks/libmicro/files/patch-multiview.sh	Fri Feb  8 01:53:38 2013	(r311895)
@@ -0,0 +1,39 @@
+--- multiview.sh.orig	Wed Aug 17 22:48:57 2005
++++ multiview.sh	Wed Aug 17 22:49:00 2005
+@@ -40,15 +40,15 @@
+ #	the redder the color, the slower the result, the greener the
+ #       faster
+  
+-/bin/nawk '	BEGIN { 
++/usr/bin/awk '	BEGIN { 
+   benchmark_count = 0;
+   header_count = 0;
+ }
+ /^#/ {
+-	continue;
++	next;
+ 	}
+ /errors/ {
+-	continue;
++	next;
+ 	}
+ /^\!/ { 
+ 	split($0, A_header, ":"); 
+@@ -59,7 +59,7 @@
+ 		header_names[name] = ++header_count;
+ 		headers[header_count] = name;
+ 	}
+-	continue;
++	next;
+ }
+ 
+ 	{ 
+@@ -136,7 +136,7 @@
+ 				
+ 			for (j = 2; j < ARGC; j++) 
+ 				printf("<td>%s</td>\n", "not computed");
+-			continue;
++			next;
+ 		}
+ 
+ 		for (j = 2; j < ARGC; j++) {

Modified: head/benchmarks/libmicro/pkg-descr
==============================================================================
--- head/benchmarks/libmicro/pkg-descr	Fri Feb  8 01:30:28 2013	(r311894)
+++ head/benchmarks/libmicro/pkg-descr	Fri Feb  8 01:53:38 2013	(r311895)
@@ -1,7 +1,7 @@
-LibMicro is a portable set of microbenchmarks that many Solaris engineers used
-during Solaris 10 development to measure the performance of various system and
-library calls. LibMicro was developed by Bart Smaalders and Phil Harman as part
-of their If another OS is faster it's a Solaris bug performance campaign.
-LibMicro is being released as Open Source under the CDDL license.
+LibMicro is a portable set of microbenchmarks that many Solaris engineers
+used during Solaris 10 development to measure the performance of various
+system and library calls. LibMicro was developed by Bart Smaalders and
+Phil Harman as part of their If another OS is faster it's a Solaris bug
+performance campaign.
 
-WWW:	http://hub.opensolaris.org/bin/view/Project+libmicro/
+WWW: http://hub.opensolaris.org/bin/view/Project+libmicro/

Modified: head/benchmarks/libmicro/pkg-plist
==============================================================================
--- head/benchmarks/libmicro/pkg-plist	Fri Feb  8 01:30:28 2013	(r311894)
+++ head/benchmarks/libmicro/pkg-plist	Fri Feb  8 01:53:38 2013	(r311895)
@@ -1,166 +1,166 @@
 bin/libmicro-bench
 bin/multiview
-%%DATADIR%%/bench
-%%DATADIR%%/bin-%%ARCH%%/atomic
-%%DATADIR%%/bin-%%ARCH%%/bind
-%%DATADIR%%/bin-%%ARCH%%/cachetocache
-%%DATADIR%%/bin-%%ARCH%%/cascade_cond
-%%DATADIR%%/bin-%%ARCH%%/cascade_fcntl
-%%DATADIR%%/bin-%%ARCH%%/cascade_flock
-%%DATADIR%%/bin-%%ARCH%%/cascade_lockf
-%%DATADIR%%/bin-%%ARCH%%/cascade_mutex
-%%DATADIR%%/bin-%%ARCH%%/chdir
-%%DATADIR%%/bin-%%ARCH%%/close
-%%DATADIR%%/bin-%%ARCH%%/close_tcp
-%%DATADIR%%/bin-%%ARCH%%/connection
-%%DATADIR%%/bin-%%ARCH%%/dup
-%%DATADIR%%/bin-%%ARCH%%/exec
-%%DATADIR%%/bin-%%ARCH%%/exec_bin
-%%DATADIR%%/bin-%%ARCH%%/exit
-%%DATADIR%%/bin-%%ARCH%%/exp
-%%DATADIR%%/bin-%%ARCH%%/fcntl
-%%DATADIR%%/bin-%%ARCH%%/fcntl_ndelay
-%%DATADIR%%/bin-%%ARCH%%/file_lock
-%%DATADIR%%/bin-%%ARCH%%/fork
-%%DATADIR%%/bin-%%ARCH%%/getcontext
-%%DATADIR%%/bin-%%ARCH%%/getenv
-%%DATADIR%%/bin-%%ARCH%%/getpeername
-%%DATADIR%%/bin-%%ARCH%%/getpid
-%%DATADIR%%/bin-%%ARCH%%/getrusage
-%%DATADIR%%/bin-%%ARCH%%/getsockname
-%%DATADIR%%/bin-%%ARCH%%/gettimeofday
-%%DATADIR%%/bin-%%ARCH%%/isatty
-%%DATADIR%%/bin-%%ARCH%%/listen
-%%DATADIR%%/bin-%%ARCH%%/localtime_r
-%%DATADIR%%/bin-%%ARCH%%/log
-%%DATADIR%%/bin-%%ARCH%%/longjmp
-%%DATADIR%%/bin-%%ARCH%%/lrand48
-%%DATADIR%%/bin-%%ARCH%%/lseek
-%%DATADIR%%/bin-%%ARCH%%/malloc
-%%DATADIR%%/bin-%%ARCH%%/memcpy
-%%DATADIR%%/bin-%%ARCH%%/memmove
-%%DATADIR%%/bin-%%ARCH%%/memrand
-%%DATADIR%%/bin-%%ARCH%%/memset
-%%DATADIR%%/bin-%%ARCH%%/mktime
-%%DATADIR%%/bin-%%ARCH%%/mmap
-%%DATADIR%%/bin-%%ARCH%%/mprotect
-%%DATADIR%%/bin-%%ARCH%%/msync
-%%DATADIR%%/bin-%%ARCH%%/munmap
-%%DATADIR%%/bin-%%ARCH%%/mutex
-%%DATADIR%%/bin-%%ARCH%%/nop
-%%DATADIR%%/bin-%%ARCH%%/open
-%%DATADIR%%/bin-%%ARCH%%/pipe
-%%DATADIR%%/bin-%%ARCH%%/poll
-%%DATADIR%%/bin-%%ARCH%%/pread
-%%DATADIR%%/bin-%%ARCH%%/pthread_create
-%%DATADIR%%/bin-%%ARCH%%/pwrite
-%%DATADIR%%/bin-%%ARCH%%/read
-%%DATADIR%%/bin-%%ARCH%%/realpath
-%%DATADIR%%/bin-%%ARCH%%/recurse
-%%DATADIR%%/bin-%%ARCH%%/select
-%%DATADIR%%/bin-%%ARCH%%/semop
-%%DATADIR%%/bin-%%ARCH%%/setcontext
-%%DATADIR%%/bin-%%ARCH%%/setsockopt
-%%DATADIR%%/bin-%%ARCH%%/sigaction
-%%DATADIR%%/bin-%%ARCH%%/siglongjmp
-%%DATADIR%%/bin-%%ARCH%%/signal
-%%DATADIR%%/bin-%%ARCH%%/sigprocmask
-%%DATADIR%%/bin-%%ARCH%%/socket
-%%DATADIR%%/bin-%%ARCH%%/socketpair
-%%DATADIR%%/bin-%%ARCH%%/stat
-%%DATADIR%%/bin-%%ARCH%%/strcasecmp
-%%DATADIR%%/bin-%%ARCH%%/strchr
-%%DATADIR%%/bin-%%ARCH%%/strcmp
-%%DATADIR%%/bin-%%ARCH%%/strcpy
-%%DATADIR%%/bin-%%ARCH%%/strftime
-%%DATADIR%%/bin-%%ARCH%%/strlen
-%%DATADIR%%/bin-%%ARCH%%/strtol
-%%DATADIR%%/bin-%%ARCH%%/system
-%%DATADIR%%/bin-%%ARCH%%/tattle
-%%DATADIR%%/bin-%%ARCH%%/time
-%%DATADIR%%/bin-%%ARCH%%/times
-%%DATADIR%%/bin-%%ARCH%%/write
-%%DATADIR%%/bin-%%ARCH%%/writev
-%%DATADIR%%/bin/atomic
-%%DATADIR%%/bin/bind
-%%DATADIR%%/bin/cachetocache
-%%DATADIR%%/bin/cascade_cond
-%%DATADIR%%/bin/cascade_fcntl
-%%DATADIR%%/bin/cascade_flock
-%%DATADIR%%/bin/cascade_lockf
-%%DATADIR%%/bin/cascade_mutex
-%%DATADIR%%/bin/chdir
-%%DATADIR%%/bin/close
-%%DATADIR%%/bin/close_tcp
-%%DATADIR%%/bin/connection
-%%DATADIR%%/bin/dup
-%%DATADIR%%/bin/exec
-%%DATADIR%%/bin/exec_bin
-%%DATADIR%%/bin/exit
-%%DATADIR%%/bin/exp
-%%DATADIR%%/bin/fcntl
-%%DATADIR%%/bin/fcntl_ndelay
-%%DATADIR%%/bin/file_lock
-%%DATADIR%%/bin/fork
-%%DATADIR%%/bin/getcontext
-%%DATADIR%%/bin/getenv
-%%DATADIR%%/bin/getpeername
-%%DATADIR%%/bin/getpid
-%%DATADIR%%/bin/getrusage
-%%DATADIR%%/bin/getsockname
-%%DATADIR%%/bin/gettimeofday
-%%DATADIR%%/bin/isatty
-%%DATADIR%%/bin/listen
-%%DATADIR%%/bin/localtime_r
-%%DATADIR%%/bin/log
-%%DATADIR%%/bin/longjmp
-%%DATADIR%%/bin/lrand48
-%%DATADIR%%/bin/lseek
-%%DATADIR%%/bin/malloc
-%%DATADIR%%/bin/memcpy
-%%DATADIR%%/bin/memmove
-%%DATADIR%%/bin/memrand
-%%DATADIR%%/bin/memset
-%%DATADIR%%/bin/mktime
-%%DATADIR%%/bin/mmap
-%%DATADIR%%/bin/mprotect
-%%DATADIR%%/bin/msync
-%%DATADIR%%/bin/munmap
-%%DATADIR%%/bin/mutex
-%%DATADIR%%/bin/nop
-%%DATADIR%%/bin/open
-%%DATADIR%%/bin/pipe
-%%DATADIR%%/bin/poll
-%%DATADIR%%/bin/pread
-%%DATADIR%%/bin/pthread_create
-%%DATADIR%%/bin/pwrite
-%%DATADIR%%/bin/read
-%%DATADIR%%/bin/realpath
-%%DATADIR%%/bin/recurse
-%%DATADIR%%/bin/select
-%%DATADIR%%/bin/semop
-%%DATADIR%%/bin/setcontext
-%%DATADIR%%/bin/setsockopt
-%%DATADIR%%/bin/sigaction
-%%DATADIR%%/bin/siglongjmp
-%%DATADIR%%/bin/signal
-%%DATADIR%%/bin/sigprocmask
-%%DATADIR%%/bin/socket
-%%DATADIR%%/bin/socketpair
-%%DATADIR%%/bin/stat
-%%DATADIR%%/bin/strcasecmp
-%%DATADIR%%/bin/strchr
-%%DATADIR%%/bin/strcmp
-%%DATADIR%%/bin/strcpy
-%%DATADIR%%/bin/strftime
-%%DATADIR%%/bin/strlen
-%%DATADIR%%/bin/strtol
-%%DATADIR%%/bin/system
-%%DATADIR%%/bin/tattle
-%%DATADIR%%/bin/time
-%%DATADIR%%/bin/times
-%%DATADIR%%/bin/write
-%%DATADIR%%/bin/writev
-@dirrm %%DATADIR%%/bin-%%ARCH%%
-@dirrm %%DATADIR%%/bin
-@dirrm %%DATADIR%%
+lib/libmicro/bench
+lib/libmicro/bin-%%ARCH%%/atomic
+lib/libmicro/bin-%%ARCH%%/bind
+lib/libmicro/bin-%%ARCH%%/cachetocache
+lib/libmicro/bin-%%ARCH%%/cascade_cond
+lib/libmicro/bin-%%ARCH%%/cascade_fcntl
+lib/libmicro/bin-%%ARCH%%/cascade_flock
+lib/libmicro/bin-%%ARCH%%/cascade_lockf
+lib/libmicro/bin-%%ARCH%%/cascade_mutex
+lib/libmicro/bin-%%ARCH%%/chdir
+lib/libmicro/bin-%%ARCH%%/close
+lib/libmicro/bin-%%ARCH%%/close_tcp
+lib/libmicro/bin-%%ARCH%%/connection
+lib/libmicro/bin-%%ARCH%%/dup
+lib/libmicro/bin-%%ARCH%%/exec
+lib/libmicro/bin-%%ARCH%%/exec_bin
+lib/libmicro/bin-%%ARCH%%/exit
+lib/libmicro/bin-%%ARCH%%/exp
+lib/libmicro/bin-%%ARCH%%/fcntl
+lib/libmicro/bin-%%ARCH%%/fcntl_ndelay
+lib/libmicro/bin-%%ARCH%%/file_lock
+lib/libmicro/bin-%%ARCH%%/fork
+lib/libmicro/bin-%%ARCH%%/getcontext
+lib/libmicro/bin-%%ARCH%%/getenv
+lib/libmicro/bin-%%ARCH%%/getpeername
+lib/libmicro/bin-%%ARCH%%/getpid
+lib/libmicro/bin-%%ARCH%%/getrusage
+lib/libmicro/bin-%%ARCH%%/getsockname
+lib/libmicro/bin-%%ARCH%%/gettimeofday
+lib/libmicro/bin-%%ARCH%%/isatty
+lib/libmicro/bin-%%ARCH%%/listen
+lib/libmicro/bin-%%ARCH%%/localtime_r
+lib/libmicro/bin-%%ARCH%%/log
+lib/libmicro/bin-%%ARCH%%/longjmp
+lib/libmicro/bin-%%ARCH%%/lrand48
+lib/libmicro/bin-%%ARCH%%/lseek
+lib/libmicro/bin-%%ARCH%%/malloc
+lib/libmicro/bin-%%ARCH%%/memcpy
+lib/libmicro/bin-%%ARCH%%/memmove
+lib/libmicro/bin-%%ARCH%%/memrand
+lib/libmicro/bin-%%ARCH%%/memset
+lib/libmicro/bin-%%ARCH%%/mktime
+lib/libmicro/bin-%%ARCH%%/mmap
+lib/libmicro/bin-%%ARCH%%/mprotect
+lib/libmicro/bin-%%ARCH%%/msync
+lib/libmicro/bin-%%ARCH%%/munmap
+lib/libmicro/bin-%%ARCH%%/mutex
+lib/libmicro/bin-%%ARCH%%/nop
+lib/libmicro/bin-%%ARCH%%/open
+lib/libmicro/bin-%%ARCH%%/pipe
+lib/libmicro/bin-%%ARCH%%/poll
+lib/libmicro/bin-%%ARCH%%/pread
+lib/libmicro/bin-%%ARCH%%/pthread_create
+lib/libmicro/bin-%%ARCH%%/pwrite
+lib/libmicro/bin-%%ARCH%%/read
+lib/libmicro/bin-%%ARCH%%/realpath
+lib/libmicro/bin-%%ARCH%%/recurse
+lib/libmicro/bin-%%ARCH%%/select
+lib/libmicro/bin-%%ARCH%%/semop
+lib/libmicro/bin-%%ARCH%%/setcontext
+lib/libmicro/bin-%%ARCH%%/setsockopt
+lib/libmicro/bin-%%ARCH%%/sigaction
+lib/libmicro/bin-%%ARCH%%/siglongjmp
+lib/libmicro/bin-%%ARCH%%/signal
+lib/libmicro/bin-%%ARCH%%/sigprocmask
+lib/libmicro/bin-%%ARCH%%/socket
+lib/libmicro/bin-%%ARCH%%/socketpair
+lib/libmicro/bin-%%ARCH%%/stat
+lib/libmicro/bin-%%ARCH%%/strcasecmp
+lib/libmicro/bin-%%ARCH%%/strchr
+lib/libmicro/bin-%%ARCH%%/strcmp
+lib/libmicro/bin-%%ARCH%%/strcpy
+lib/libmicro/bin-%%ARCH%%/strftime
+lib/libmicro/bin-%%ARCH%%/strlen
+lib/libmicro/bin-%%ARCH%%/strtol
+lib/libmicro/bin-%%ARCH%%/system
+lib/libmicro/bin-%%ARCH%%/tattle
+lib/libmicro/bin-%%ARCH%%/time
+lib/libmicro/bin-%%ARCH%%/times
+lib/libmicro/bin-%%ARCH%%/write
+lib/libmicro/bin-%%ARCH%%/writev
+lib/libmicro/bin/atomic
+lib/libmicro/bin/bind
+lib/libmicro/bin/cachetocache
+lib/libmicro/bin/cascade_cond
+lib/libmicro/bin/cascade_fcntl
+lib/libmicro/bin/cascade_flock
+lib/libmicro/bin/cascade_lockf
+lib/libmicro/bin/cascade_mutex
+lib/libmicro/bin/chdir
+lib/libmicro/bin/close
+lib/libmicro/bin/close_tcp
+lib/libmicro/bin/connection
+lib/libmicro/bin/dup
+lib/libmicro/bin/exec
+lib/libmicro/bin/exec_bin
+lib/libmicro/bin/exit
+lib/libmicro/bin/exp
+lib/libmicro/bin/fcntl
+lib/libmicro/bin/fcntl_ndelay
+lib/libmicro/bin/file_lock
+lib/libmicro/bin/fork
+lib/libmicro/bin/getcontext
+lib/libmicro/bin/getenv
+lib/libmicro/bin/getpeername
+lib/libmicro/bin/getpid
+lib/libmicro/bin/getrusage
+lib/libmicro/bin/getsockname
+lib/libmicro/bin/gettimeofday
+lib/libmicro/bin/isatty
+lib/libmicro/bin/listen
+lib/libmicro/bin/localtime_r
+lib/libmicro/bin/log
+lib/libmicro/bin/longjmp
+lib/libmicro/bin/lrand48
+lib/libmicro/bin/lseek
+lib/libmicro/bin/malloc
+lib/libmicro/bin/memcpy
+lib/libmicro/bin/memmove
+lib/libmicro/bin/memrand
+lib/libmicro/bin/memset
+lib/libmicro/bin/mktime
+lib/libmicro/bin/mmap
+lib/libmicro/bin/mprotect
+lib/libmicro/bin/msync
+lib/libmicro/bin/munmap
+lib/libmicro/bin/mutex
+lib/libmicro/bin/nop
+lib/libmicro/bin/open
+lib/libmicro/bin/pipe
+lib/libmicro/bin/poll
+lib/libmicro/bin/pread
+lib/libmicro/bin/pthread_create
+lib/libmicro/bin/pwrite
+lib/libmicro/bin/read
+lib/libmicro/bin/realpath
+lib/libmicro/bin/recurse
+lib/libmicro/bin/select
+lib/libmicro/bin/semop
+lib/libmicro/bin/setcontext
+lib/libmicro/bin/setsockopt
+lib/libmicro/bin/sigaction
+lib/libmicro/bin/siglongjmp
+lib/libmicro/bin/signal
+lib/libmicro/bin/sigprocmask
+lib/libmicro/bin/socket
+lib/libmicro/bin/socketpair
+lib/libmicro/bin/stat
+lib/libmicro/bin/strcasecmp
+lib/libmicro/bin/strchr
+lib/libmicro/bin/strcmp
+lib/libmicro/bin/strcpy
+lib/libmicro/bin/strftime
+lib/libmicro/bin/strlen
+lib/libmicro/bin/strtol
+lib/libmicro/bin/system
+lib/libmicro/bin/tattle
+lib/libmicro/bin/time
+lib/libmicro/bin/times
+lib/libmicro/bin/write
+lib/libmicro/bin/writev
+@dirrm lib/libmicro/bin-%%ARCH%%
+@dirrm lib/libmicro/bin
+@dirrm lib/libmicro
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"